#ifndef __ADC_H__
#define __ADC_H__

typedef enum {
        CH0 = 0,
        CH1,
        CH2,
        CH3,
        CH4,
        CH5,
        CH6,
        CH7,
        NUM_CHANNELS,
        UNUSED_CHANNEL
} ChannelIdType;

/* function prototypes */
extern void calibrateAllChannels(void);
extern void processChannels(void);
extern void processKeystrokes(void);

extern void initAdc(uint32_t cpuFreq);  

extern uint16_t average[NUM_CHANNELS];
extern uint16_t reading[NUM_CHANNELS];
extern bool   kbdPress[NUM_KPAD];

#endif

