#ifndef __LED_H 
#define __LED_H

#ifdef LPC1759_LPCXPRESSO
    #define setLed()    (LPC_GPIO0->FIOSET = (1<<22))
    #define clearLed()  (LPC_GPIO0->FIOCLR = (1<<22))
#endif 

#ifdef CUSTOM_BOARD
    #define setLed()    (LPC_GPIO1->FIOSET = (1<<14))
    #define clearLed()  (LPC_GPIO1->FIOCLR = (1<<14))
#endif 


void toggleLed(void);
void initLed(void);

#endif /* end __LED_H */
